Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Comparing changes

Choose two branches to see what’s changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
base fork: rspec/rspec-core
base: v2.11.0
...
head fork: rspec/rspec-core
compare: v2.0.1
  • 5 commits
  • 3 files changed
  • 0 commit comments
  • 1 contributor
Commits on Oct 17, 2010
@dchelimsky dchelimsky bump 2.0.1.pre
- this supports building and installing from the latest source without
  over-writing released gems
e1d231e
Commits on Oct 18, 2010
@dchelimsky dchelimsky update versions 6238ed3
Commits on Oct 19, 2010
@dchelimsky dchelimsky bump version to 2.0.1 52eb75c
@dchelimsky dchelimsky update history 07c65d0
@dchelimsky dchelimsky update history 05bda6e
View
5 History.markdown
@@ -1,14 +1,15 @@
## rspec-core release history (incomplete)
-### 2.0.1 / in development
+### 2.0.1 / 2010-10-18
-[full changelog](http://github.com/rspec/rspec-core/compare/v2.0.0...master)
+[full changelog](http://github.com/rspec/rspec-core/compare/v2.0.0...v2.0.1)
* Bug fixes
* restore color when using spork + autotest
* Pending examples without docstrings render the correct message (Josep M. Bach)
* Fixed bug where a failure in a spec file ending in anything but _spec.rb would
fail in a confusing way.
+ * Support backtrace lines from erb templates in html formatter (Alex Crichton)
### 2.0.0 / 2010-10-10
View
2  lib/rspec/core/version.rb
@@ -1,7 +1,7 @@
module RSpec # :nodoc:
module Core # :nodoc:
module Version # :nodoc:
- STRING = '2.0.0'
+ STRING = '2.0.1'
end
end
end
View
10 rspec-core.gemspec
@@ -33,11 +33,11 @@ Gem::Specification.new do |s|
**************************************************
}
- s.add_development_dependency "rspec-expectations", ">= #{RSpec::Core::Version::STRING}"
- s.add_development_dependency "rspec-mocks", ">= #{RSpec::Core::Version::STRING}"
- s.add_development_dependency "cucumber", ">= 0.5.3"
- s.add_development_dependency "autotest", ">= 4.2.9"
- s.add_development_dependency "syntax", ">= 1.0.0"
+ s.add_development_dependency "rspec-expectations", "~> 2.0.1"
+ s.add_development_dependency "rspec-mocks", "~> 2.0.1"
+ s.add_development_dependency "cucumber", "~> 0.9.2"
+ s.add_development_dependency "autotest", "~> 4.2.9"
+ s.add_development_dependency "syntax", "~> 1.0.0"
s.add_development_dependency "flexmock"
s.add_development_dependency "mocha"
s.add_development_dependency "rr"

No commit comments for this range

Something went wrong with that request. Please try again.